Get list of campaigns
Get list of campaigns
Required permissions: CAMPAIGN
get/tenants/{tenantUid}/campaigns
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Query parameters
pageNumberintegerOptional
Reference to a specific page in a result set.
pageSizeintegerOptional
The number of items per page in a result set.
sortBystringOptional
Defines which field the resource list is sorted by.
sortDirectionstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
namestringOptional
Reference to a name
displayNamestringOptional
Reference to a display name
campaignCodestringOptional
Reference to a campaign code
validFromstring · date-timeOptional
Reference to a valid from
validTostring · date-timeOptional
Reference to a valid to
typestring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| CAMPAIGN | Normal campaign with rules set |
| PRICELIST | A campaign that includes a pricelist. No rules applies |
discountTypestring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| CHEAPEST_PRODUCT | Cheapest product will be discounted |
| QUALIFIED_PRODUCT | All qualified products will be discounted |
| ORDER_DISCOUNT | An order discount will be added to the order |
storeUidstringOptionalPattern:
Reference to a storeUid
^[A-Za-z0-9-_]+statusstring · enumOptional
Possible values:
| ENUM | Description |
|---|---|
| NEW | Campaign is in a modeling state. Can be modified |
| ACTIVE | Campaign is active, and is considered when making sales operations. Campaign can not be modified |
| CLOSED | Campaign is closed. |
Responses
200
Example response
application/json
get/tenants/{tenantUid}/campaigns
GET /v2/tenants/{tenantUid}/campaigns HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"items": [
{
"name": "text",
"status": "NEW",
"displayName": "text",
"validFrom": "2026-01-01T00:00:00.000Z",
"validTo": "2026-01-01T00:00:00.000Z",
"type": "CAMPAIGN",
"discountType": "CHEAPEST_PRODUCT",
"selection": {
"include": {
"productGroups:": [
{
"productGroupUid": "text",
"name": "text"
}
],
"brands": [
{
"brandUid": "text",
"name": "text"
}
],
"categories": [
{
"categoryUid": "text",
"name": "text"
}
],
"products": [
{
"productUid": "text",
"name": "text",
"sku": "text"
}
]
},
"exclude": {
"productGroups:": [
{
"productGroupUid": "text",
"name": "text"
}
],
"brands": [
{
"brandUid": "text",
"name": "text"
}
],
"categories": [
{
"categoryUid": "text",
"name": "text"
}
],
"products": [
{
"productUid": "text",
"name": "text",
"sku": "text"
}
]
}
},
"quantityThreshold": 1,
"amountThreshold": 1,
"discountAmount": 1,
"discountPercent": 1,
"maxUsage": 1,
"priority": 1,
"pricelist": {
"pricelistUid": "text",
"name": "text"
},
"stores": [
{
"storeUid": "text",
"name": "text"
}
],
"campaignUid": "text",
"campaignCode": "text",
"preventCombinations": true,
"customerGroup": {
"customerGroupUid": "text",
"name": "text"
}
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Last updated
Was this helpful?

